/*body {
  margin: 0;
  padding: 0;
  background: #000;
  overflow: hidden; }*/

.pyro > .before, .pyro > .after {
  position: absolute;
  width: 5px;
  height: 5px;
  border-radius: 50%;
  box-shadow: 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff, 0 0 #fff;
  -moz-animation: 1s bang ease-out infinite backwards, 1s gravity ease-in infinite backwards, 5s position linear infinite backwards;
  -webkit-animation: 1s bang ease-out infinite backwards, 1s gravity ease-in infinite backwards, 5s position linear infinite backwards;
  -o-animation: 1s bang ease-out infinite backwards, 1s gravity ease-in infinite backwards, 5s position linear infinite backwards;
  -ms-animation: 1s bang ease-out infinite backwards, 1s gravity ease-in infinite backwards, 5s position linear infinite backwards;
  animation: 1s bang ease-out infinite backwards, 1s gravity ease-in infinite backwards, 5s position linear infinite backwards; }

.pyro > .after {
  -moz-animation-delay: 1.25s, 1.25s, 1.25s;
  -webkit-animation-delay: 1.25s, 1.25s, 1.25s;
  -o-animation-delay: 1.25s, 1.25s, 1.25s;
  -ms-animation-delay: 1.25s, 1.25s, 1.25s;
  animation-delay: 1.25s, 1.25s, 1.25s;
  -moz-animation-duration: 1.25s, 1.25s, 6.25s;
  -webkit-animation-duration: 1.25s, 1.25s, 6.25s;
  -o-animation-duration: 1.25s, 1.25s, 6.25s;
  -ms-animation-duration: 1.25s, 1.25s, 6.25s;
  animation-duration: 1.25s, 1.25s, 6.25s; }

@-webkit-keyframes bang {
  to {
    box-shadow: -117px -361.66667px #00fbff, -198px -297.66667px #e6ff00, -235px -247.66667px #ffb700, -246px -166.66667px #00ffd9, 105px -253.66667px #ffa600, 240px -174.66667px #9100ff, 78px -274.66667px #ff4800, 149px -42.66667px #0022ff, 88px -396.66667px #9dff00, 23px -199.66667px #00ffd9, 12px -201.66667px #b700ff, -173px -150.66667px #fff700, 41px -242.66667px #00ffd0, 88px -156.66667px #00ff73, -171px -11.66667px #00ffd5, 101px -137.66667px #00c8ff, -94px 71.33333px #77ff00, -235px -194.66667px #04ff00, -51px -221.66667px #00fff7, -26px -16.66667px #ff2b00, -7px -212.66667px #b300ff, 146px 42.33333px #ff4800, 208px -372.66667px #ffae00, -65px -348.66667px #ee00ff, 18px -99.66667px #4800ff, -149px -291.66667px #ff004d, -71px -116.66667px #ffcc00, -144px -216.66667px #ff0048, 130px -247.66667px #ff0009, 117px -350.66667px #ff9500, 40px 9.33333px #00ffaa, 39px -271.66667px #0033ff, 195px -404.66667px #6600ff, 139px -221.66667px #1500ff, -109px 44.33333px #e100ff, -170px -89.66667px #ff1e00, 198px -344.66667px #00ff6a, 14px -36.66667px #9900ff, -24px 45.33333px #ff001e, -218px -387.66667px #ff3300, 208px -353.66667px #9500ff, 16px 72.33333px #ffd900, -96px -188.66667px #ff00b7, 190px -50.66667px #00ccff, 81px -13.66667px #ff1500, -211px -116.66667px #0dff00, 196px -31.66667px #0dff00, 80px -222.66667px #007bff, -95px -410.66667px #00ffbb, 46px -349.66667px #95ff00, 169px 81.33333px #ff0009; } }

@-moz-keyframes bang {
  to {
    box-shadow: -117px -361.66667px #00fbff, -198px -297.66667px #e6ff00, -235px -247.66667px #ffb700, -246px -166.66667px #00ffd9, 105px -253.66667px #ffa600, 240px -174.66667px #9100ff, 78px -274.66667px #ff4800, 149px -42.66667px #0022ff, 88px -396.66667px #9dff00, 23px -199.66667px #00ffd9, 12px -201.66667px #b700ff, -173px -150.66667px #fff700, 41px -242.66667px #00ffd0, 88px -156.66667px #00ff73, -171px -11.66667px #00ffd5, 101px -137.66667px #00c8ff, -94px 71.33333px #77ff00, -235px -194.66667px #04ff00, -51px -221.66667px #00fff7, -26px -16.66667px #ff2b00, -7px -212.66667px #b300ff, 146px 42.33333px #ff4800, 208px -372.66667px #ffae00, -65px -348.66667px #ee00ff, 18px -99.66667px #4800ff, -149px -291.66667px #ff004d, -71px -116.66667px #ffcc00, -144px -216.66667px #ff0048, 130px -247.66667px #ff0009, 117px -350.66667px #ff9500, 40px 9.33333px #00ffaa, 39px -271.66667px #0033ff, 195px -404.66667px #6600ff, 139px -221.66667px #1500ff, -109px 44.33333px #e100ff, -170px -89.66667px #ff1e00, 198px -344.66667px #00ff6a, 14px -36.66667px #9900ff, -24px 45.33333px #ff001e, -218px -387.66667px #ff3300, 208px -353.66667px #9500ff, 16px 72.33333px #ffd900, -96px -188.66667px #ff00b7, 190px -50.66667px #00ccff, 81px -13.66667px #ff1500, -211px -116.66667px #0dff00, 196px -31.66667px #0dff00, 80px -222.66667px #007bff, -95px -410.66667px #00ffbb, 46px -349.66667px #95ff00, 169px 81.33333px #ff0009; } }

@-o-keyframes bang {
  to {
    box-shadow: -117px -361.66667px #00fbff, -198px -297.66667px #e6ff00, -235px -247.66667px #ffb700, -246px -166.66667px #00ffd9, 105px -253.66667px #ffa600, 240px -174.66667px #9100ff, 78px -274.66667px #ff4800, 149px -42.66667px #0022ff, 88px -396.66667px #9dff00, 23px -199.66667px #00ffd9, 12px -201.66667px #b700ff, -173px -150.66667px #fff700, 41px -242.66667px #00ffd0, 88px -156.66667px #00ff73, -171px -11.66667px #00ffd5, 101px -137.66667px #00c8ff, -94px 71.33333px #77ff00, -235px -194.66667px #04ff00, -51px -221.66667px #00fff7, -26px -16.66667px #ff2b00, -7px -212.66667px #b300ff, 146px 42.33333px #ff4800, 208px -372.66667px #ffae00, -65px -348.66667px #ee00ff, 18px -99.66667px #4800ff, -149px -291.66667px #ff004d, -71px -116.66667px #ffcc00, -144px -216.66667px #ff0048, 130px -247.66667px #ff0009, 117px -350.66667px #ff9500, 40px 9.33333px #00ffaa, 39px -271.66667px #0033ff, 195px -404.66667px #6600ff, 139px -221.66667px #1500ff, -109px 44.33333px #e100ff, -170px -89.66667px #ff1e00, 198px -344.66667px #00ff6a, 14px -36.66667px #9900ff, -24px 45.33333px #ff001e, -218px -387.66667px #ff3300, 208px -353.66667px #9500ff, 16px 72.33333px #ffd900, -96px -188.66667px #ff00b7, 190px -50.66667px #00ccff, 81px -13.66667px #ff1500, -211px -116.66667px #0dff00, 196px -31.66667px #0dff00, 80px -222.66667px #007bff, -95px -410.66667px #00ffbb, 46px -349.66667px #95ff00, 169px 81.33333px #ff0009; } }

@-ms-keyframes bang {
  to {
    box-shadow: -117px -361.66667px #00fbff, -198px -297.66667px #e6ff00, -235px -247.66667px #ffb700, -246px -166.66667px #00ffd9, 105px -253.66667px #ffa600, 240px -174.66667px #9100ff, 78px -274.66667px #ff4800, 149px -42.66667px #0022ff, 88px -396.66667px #9dff00, 23px -199.66667px #00ffd9, 12px -201.66667px #b700ff, -173px -150.66667px #fff700, 41px -242.66667px #00ffd0, 88px -156.66667px #00ff73, -171px -11.66667px #00ffd5, 101px -137.66667px #00c8ff, -94px 71.33333px #77ff00, -235px -194.66667px #04ff00, -51px -221.66667px #00fff7, -26px -16.66667px #ff2b00, -7px -212.66667px #b300ff, 146px 42.33333px #ff4800, 208px -372.66667px #ffae00, -65px -348.66667px #ee00ff, 18px -99.66667px #4800ff, -149px -291.66667px #ff004d, -71px -116.66667px #ffcc00, -144px -216.66667px #ff0048, 130px -247.66667px #ff0009, 117px -350.66667px #ff9500, 40px 9.33333px #00ffaa, 39px -271.66667px #0033ff, 195px -404.66667px #6600ff, 139px -221.66667px #1500ff, -109px 44.33333px #e100ff, -170px -89.66667px #ff1e00, 198px -344.66667px #00ff6a, 14px -36.66667px #9900ff, -24px 45.33333px #ff001e, -218px -387.66667px #ff3300, 208px -353.66667px #9500ff, 16px 72.33333px #ffd900, -96px -188.66667px #ff00b7, 190px -50.66667px #00ccff, 81px -13.66667px #ff1500, -211px -116.66667px #0dff00, 196px -31.66667px #0dff00, 80px -222.66667px #007bff, -95px -410.66667px #00ffbb, 46px -349.66667px #95ff00, 169px 81.33333px #ff0009; } }

@keyframes bang {
  to {
    box-shadow: -117px -361.66667px #00fbff, -198px -297.66667px #e6ff00, -235px -247.66667px #ffb700, -246px -166.66667px #00ffd9, 105px -253.66667px #ffa600, 240px -174.66667px #9100ff, 78px -274.66667px #ff4800, 149px -42.66667px #0022ff, 88px -396.66667px #9dff00, 23px -199.66667px #00ffd9, 12px -201.66667px #b700ff, -173px -150.66667px #fff700, 41px -242.66667px #00ffd0, 88px -156.66667px #00ff73, -171px -11.66667px #00ffd5, 101px -137.66667px #00c8ff, -94px 71.33333px #77ff00, -235px -194.66667px #04ff00, -51px -221.66667px #00fff7, -26px -16.66667px #ff2b00, -7px -212.66667px #b300ff, 146px 42.33333px #ff4800, 208px -372.66667px #ffae00, -65px -348.66667px #ee00ff, 18px -99.66667px #4800ff, -149px -291.66667px #ff004d, -71px -116.66667px #ffcc00, -144px -216.66667px #ff0048, 130px -247.66667px #ff0009, 117px -350.66667px #ff9500, 40px 9.33333px #00ffaa, 39px -271.66667px #0033ff, 195px -404.66667px #6600ff, 139px -221.66667px #1500ff, -109px 44.33333px #e100ff, -170px -89.66667px #ff1e00, 198px -344.66667px #00ff6a, 14px -36.66667px #9900ff, -24px 45.33333px #ff001e, -218px -387.66667px #ff3300, 208px -353.66667px #9500ff, 16px 72.33333px #ffd900, -96px -188.66667px #ff00b7, 190px -50.66667px #00ccff, 81px -13.66667px #ff1500, -211px -116.66667px #0dff00, 196px -31.66667px #0dff00, 80px -222.66667px #007bff, -95px -410.66667px #00ffbb, 46px -349.66667px #95ff00, 169px 81.33333px #ff0009; } }

@-webkit-keyframes gravity {
  to {
    transform: translateY(200px);
    -moz-transform: translateY(200px);
    -webkit-transform: translateY(200px);
    -o-transform: translateY(200px);
    -ms-transform: translateY(200px);
    opacity: 0; } }

@-moz-keyframes gravity {
  to {
    transform: translateY(200px);
    -moz-transform: translateY(200px);
    -webkit-transform: translateY(200px);
    -o-transform: translateY(200px);
    -ms-transform: translateY(200px);
    opacity: 0; } }

@-o-keyframes gravity {
  to {
    transform: translateY(200px);
    -moz-transform: translateY(200px);
    -webkit-transform: translateY(200px);
    -o-transform: translateY(200px);
    -ms-transform: translateY(200px);
    opacity: 0; } }

@-ms-keyframes gravity {
  to {
    transform: translateY(200px);
    -moz-transform: translateY(200px);
    -webkit-transform: translateY(200px);
    -o-transform: translateY(200px);
    -ms-transform: translateY(200px);
    opacity: 0; } }

@keyframes gravity {
  to {
    transform: translateY(200px);
    -moz-transform: translateY(200px);
    -webkit-transform: translateY(200px);
    -o-transform: translateY(200px);
    -ms-transform: translateY(200px);
    opacity: 0; } }

@-webkit-keyframes position {
  0%, 19.9% {
    margin-top: 10%;
    margin-left: 40%; }
  20%, 39.9% {
    margin-top: 40%;
    margin-left: 30%; }
  40%, 59.9% {
    margin-top: 20%;
    margin-left: 70%; }
  60%, 79.9% {
    margin-top: 30%;
    margin-left: 20%; }
  80%, 99.9% {
    margin-top: 30%;
    margin-left: 80%; } }

@-moz-keyframes position {
  0%, 19.9% {
    margin-top: 10%;
    margin-left: 40%; }
  20%, 39.9% {
    margin-top: 40%;
    margin-left: 30%; }
  40%, 59.9% {
    margin-top: 20%;
    margin-left: 70%; }
  60%, 79.9% {
    margin-top: 30%;
    margin-left: 20%; }
  80%, 99.9% {
    margin-top: 30%;
    margin-left: 80%; } }

@-o-keyframes position {
  0%, 19.9% {
    margin-top: 10%;
    margin-left: 40%; }
  20%, 39.9% {
    margin-top: 40%;
    margin-left: 30%; }
  40%, 59.9% {
    margin-top: 20%;
    margin-left: 70%; }
  60%, 79.9% {
    margin-top: 30%;
    margin-left: 20%; }
  80%, 99.9% {
    margin-top: 30%;
    margin-left: 80%; } }

@-ms-keyframes position {
  0%, 19.9% {
    margin-top: 10%;
    margin-left: 40%; }
  20%, 39.9% {
    margin-top: 40%;
    margin-left: 30%; }
  40%, 59.9% {
    margin-top: 20%;
    margin-left: 70%; }
  60%, 79.9% {
    margin-top: 30%;
    margin-left: 20%; }
  80%, 99.9% {
    margin-top: 30%;
    margin-left: 80%; } }

@keyframes position {
  0%, 19.9% {
    margin-top: 10%;
    margin-left: 40%; }
  20%, 39.9% {
    margin-top: 40%;
    margin-left: 30%; }
  40%, 59.9% {
    margin-top: 20%;
    margin-left: 70%; }
  60%, 79.9% {
    margin-top: 30%;
    margin-left: 20%; }
  80%, 99.9% {
    margin-top: 30%;
    margin-left: 80%; } }


